package com.fs.store.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 门店自提对象 fs_store_shop
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreShop extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 门店名称 */
    @Excel(name = "门店名称")
    private String name;

    /** 简介 */
    @Excel(name = "简介")
    private String introduction;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phone;

    /** 省市区 */
    @Excel(name = "省市区")
    private String address;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailedAddress;

    /** 门店logo */
    @Excel(name = "门店logo")
    private String image;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 核销有效日期 */
    @Excel(name = "核销有效日期")
    private String validTime;

    /** 每日营业开关时间 */
    @Excel(name = "每日营业开关时间")
    private String dayTime;

    /** 是否显示 */
    @Excel(name = "是否显示")
    private Integer isShow;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "是否删除", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dayTimeEnd;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "是否删除", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dayTimeStart;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "是否删除", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validTimeEnd;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "是否删除", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validTimeStart;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setIntroduction(String introduction) 
    {
        this.introduction = introduction;
    }

    public String getIntroduction() 
    {
        return introduction;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setDetailedAddress(String detailedAddress) 
    {
        this.detailedAddress = detailedAddress;
    }

    public String getDetailedAddress() 
    {
        return detailedAddress;
    }
    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }
    public void setLatitude(String latitude) 
    {
        this.latitude = latitude;
    }

    public String getLatitude() 
    {
        return latitude;
    }
    public void setLongitude(String longitude) 
    {
        this.longitude = longitude;
    }

    public String getLongitude() 
    {
        return longitude;
    }
    public void setValidTime(String validTime) 
    {
        this.validTime = validTime;
    }

    public String getValidTime() 
    {
        return validTime;
    }
    public void setDayTime(String dayTime) 
    {
        this.dayTime = dayTime;
    }

    public String getDayTime() 
    {
        return dayTime;
    }
    public void setIsShow(Integer isShow) 
    {
        this.isShow = isShow;
    }

    public Integer getIsShow() 
    {
        return isShow;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }
    public void setDayTimeEnd(Date dayTimeEnd) 
    {
        this.dayTimeEnd = dayTimeEnd;
    }

    public Date getDayTimeEnd() 
    {
        return dayTimeEnd;
    }
    public void setDayTimeStart(Date dayTimeStart) 
    {
        this.dayTimeStart = dayTimeStart;
    }

    public Date getDayTimeStart() 
    {
        return dayTimeStart;
    }
    public void setValidTimeEnd(Date validTimeEnd) 
    {
        this.validTimeEnd = validTimeEnd;
    }

    public Date getValidTimeEnd() 
    {
        return validTimeEnd;
    }
    public void setValidTimeStart(Date validTimeStart) 
    {
        this.validTimeStart = validTimeStart;
    }

    public Date getValidTimeStart() 
    {
        return validTimeStart;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("introduction", getIntroduction())
            .append("phone", getPhone())
            .append("address", getAddress())
            .append("detailedAddress", getDetailedAddress())
            .append("image", getImage())
            .append("latitude", getLatitude())
            .append("longitude", getLongitude())
            .append("validTime", getValidTime())
            .append("dayTime", getDayTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isShow", getIsShow())
            .append("isDel", getIsDel())
            .append("dayTimeEnd", getDayTimeEnd())
            .append("dayTimeStart", getDayTimeStart())
            .append("validTimeEnd", getValidTimeEnd())
            .append("validTimeStart", getValidTimeStart())
            .toString();
    }
}
